Package org.opensaml.xacml.policy.impl

# Class PolicyCombinerParametersTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.CombinerParametersTypeImpl
org.opensaml.xacml.policy.impl.PolicyCombinerParametersTypeImpl

All Implemented Interfaces:
  `XMLObject`, `CombinerParametersType`, `PolicyCombinerParametersType`, `XACMLObject`

public class PolicyCombinerParametersTypeImpl extends CombinerParametersTypeImpl implements PolicyCombinerParametersType
Implementation of `PolicyCombinerParametersTypeUnmarshaller`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`policyIdRef`
Policy indentity reference.

### Fields inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.PolicyCombinerParametersType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, POLICY_ID_REF_ATTRIB_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`PolicyCombinerParametersTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPolicyIdRef()`
Gets the referenced policy's ID.
`void`
`setPolicyIdRef(String ref)`
Sets the referenced policy's ID.

### Methods inherited from class org.opensaml.xacml.policy.impl.CombinerParametersTypeImpl

`getCombinerParameters, getOrderedChildren`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xacml.policy.CombinerParametersType

`getCombinerParameters`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### policyIdRef

private String policyIdRef
Policy indentity reference.

## Constructor Details

### PolicyCombinerParametersTypeImpl

protected PolicyCombinerParametersTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getPolicyIdRef

public String getPolicyIdRef()
Gets the referenced policy's ID.

Specified by:
  `getPolicyIdRef` in interface `PolicyCombinerParametersType`
Returns:
  referenced policy's ID

### setPolicyIdRef

public void setPolicyIdRef(String ref)
Sets the referenced policy's ID.

Specified by:
  `setPolicyIdRef` in interface `PolicyCombinerParametersType`
Parameters:
  `ref` - referenced policy's ID